<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author: lorena.salamanca
  
@cu CU-NP-FA-214 Proyectar memorando de comisión

-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                template="/templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Proyectar memorando de comisión parcial::.
    </ui:define>

    <ui:define name="content">
        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />
        <p:focus />

        <p:messages id="msgsProyectarMemorando" showDetail="false"
                    globalOnly="false" />

        <p:spacer height="30" width="0" />
        <h:form id="proyectarMemorandoForm" prependId="false">

            <p:spacer height="10" width="1" />
            <p:panel header="Proyectar memorando de comisión">
                <h:panelGrid columns="8" id="fechasPnlGrd">
                    <h:panelGroup>
                        <h:outputLabel value="Fecha inicio de comisión: "
                                       styleClass="outputLabelStyle" />
                        <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                    </h:panelGroup>

                    <h:panelGrid columns="4">
                        <p:spacer width="7" height="0" />
                        <p:calendar id="fechaInicial" navigator="true"
                                    value="#{proyectarMemorandoDeComision.fechaInicial}"
                                    label="Fecha inicial" pattern="dd/MM/yyyy" showOn="both"
                                    title="#{general.formatoFechaUsuario}" tabindex="0"
                                    effect="slideDown" required="true" size="12" >

                            <p:ajax event="dateSelect" update="diasCom, fechasPnlGrd" process="@this"
                                    listener="#{proyectarMemorandoDeComision.onDataSelectCalendar}"/>

                        </p:calendar>
                        <p:message for="fechaInicial" display="icon"></p:message>
                    </h:panelGrid>

                    <h:panelGroup>
                        <h:outputLabel value="Fecha final de comisión: "
                                       styleClass="outputLabelStyle" />
                        <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                    </h:panelGroup>
                    <h:panelGrid columns="3">
                        <p:calendar id="fechaFinal"
                                    value="#{proyectarMemorandoDeComision.fechaFinal}"
                                    navigator="true" label="Fecha final" pattern="dd/MM/yyyy"
                                    required="true" showOn="both" 
                                    title="#{general.formatoFechaUsuario}" tabindex="0" 
                                    effect="slideDown" size="12" >

                            <p:ajax event="dateSelect" update="diasCom, fechasPnlGrd" process="@this"
                                    listener="#{proyectarMemorandoDeComision.onDataSelectCalendar}"/>

                        </p:calendar>
                        <p:message for="fechaFinal" display="icon"></p:message>
                    </h:panelGrid>

                    <h:outputLabel value="Tiempo de la comisión: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText id="diasCom" value="#{proyectarMemorandoDeComision.diasComision} días" 
                                  styleClass="outputLabelStyle"/>

                </h:panelGrid>
                <p:pickList id="pickList"
                            value="#{proyectarMemorandoDeComision.funcionariosComisionar}"
                            var="funcionariosComisionar" itemLabel="#{funcionariosComisionar}"
                            itemValue="#{funcionariosComisionar}" addLabel="Adicionar"
                            addAllLabel="Adicionar todos" removeLabel="Quitar"
                            removeAllLabel="Quitar todos" >
                    <f:facet name="sourceCaption">Funcionarios y contratistas</f:facet>
                    <f:facet name="targetCaption">Funcionarios y contratistas comisionados</f:facet>
                </p:pickList>

                <p:commandButton value="Comisionar funcionarios"
                                 rendered="#{proyectarMemorandoDeComision.comisionPreliminar}" 
                                 disabled="#{proyectarMemorandoDeComision.recursoComisionado}"
                                 title="Generar memorando de comisión a funcionarios y contratistas"

                                 update=":msgsProyectarMemorando, :proyectarMemorandoForm"
                                 action="#{proyectarMemorandoDeComision.validarComisionPreliminar}" ajax="false" />

                <p:commandButton value="Autorizar comision de funcionarios"
                                 rendered="#{proyectarMemorandoDeComision.autorizacionComision}" 
                                 disabled="#{proyectarMemorandoDeComision.recursoComisionado}"
                                 title="Generar memorando de comisión a funcionarios y contratistas"
                                 oncomplete="handleCompleteSIC(xhr, status, args, eMailDlgWV, true)"
                                 update=":msgsProyectarMemorando, :proyectarMemorandoForm"
                                 action="#{proyectarMemorandoDeComision.autorizarComisionRecurso}" ajax="false" />

                <p:commandButton value="Ver correo"					 
                                 disabled="#{!proyectarMemorandoDeComision.recursoComisionado}"
                                 title="Visualizar el correo"
                                 oncomplete="eMailDlgWV.show()"				
                                 update=":msgsProyectarMemorando, :detalleCorreoEEnvioForm" />

                <p:commandButton value="Finalizar" disabled="#{!proyectarMemorandoDeComision.recursoComisionado}"
                                 action="#{proyectarMemorandoDeComision.avanzarProceso}"/>

            </p:panel>
        </h:form>
        <p:dialog header="Comisionar funcionarios"
                  widgetVar="asignacionOficioWV" modal="true" appendToBody="true"
                  resizable="true" position="center" width="1024" height="500">
            <ui:include
                src="../../conservacion/asignacion/asignacionOficio.xhtml"
                id="asignacionOficioModal">
            </ui:include>
        </p:dialog>

        <p:dialog header="Vista previa del correo electrónico a los funcionarios y/o contratistas"
                  widgetVar="eMailDlgWV" modal="true" appendToBody="true" dynamic="true"
                  resizable="true" position="center" width="800" height="500">
            <ui:include	src="../detalleCorreoElectronicoEnvio.xhtml">
                <ui:param name="widgetVarName" value="eMailDlgWV"/>				
                <ui:param name="mailContentParam" value="#{proyectarMemorandoDeComision.contenido}"/>				
                <ui:param name="aceptActionParam" value="#{proyectarMemorandoDeComision.enviarCorreo}"/>							
                <ui:param name="withCancelAction" value="false"/>							
                <ui:param name="enableAceptActionParam" value="false"/>							
            </ui:include>
        </p:dialog>
    </ui:define>
</ui:composition>